[SM-Grimoire-Bugs] [Bug 14471] New: pinentry 0.7.5 fails with gcc 4.3.0 when gtk+2 is enabled

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sat Apr 19 17:44:58 EDT 2008


http://bugs.sourcemage.org/show_bug.cgi?id=14471

           Summary: pinentry 0.7.5 fails with gcc 4.3.0 when gtk+2 is
                    enabled
           Product: Codex
           Version: stable grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: crypto
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sandalle at sourcemage.org


# cast pinentry
Computing previously installed dependencies...
pinentry preparing environment...
pinentry running configuration...
Build Curses pinentry and fallback to Curses? [y]
pinentry checking dependencies...
pinentry has a disabled optional dependency on gtk+
pinentry has an enabled optional dependency on gtk+2
pinentry has an enabled optional dependency on qt-x11
...
configure:
        Pinentry v0.7.5 has been configured as follows:

        Curses Pinentry: yes
        GTK+ Pinentry: no
        GTK+-2 Pinentry: yes
        Qt Pinentry: yes
        W32 Pinentry: no

        Fallback to Curses: yes

        Default Pinentry: pinentry-gtk-2
...
gcc -DHAVE_CONFIG_H -I. -I..  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2
-I/usr/include/libpng12 -I/usr/include/pixman-1    -I../secmem -I../pinentry
-Wall  -march=pentium-m -pipe -DPIC -fPIC -O3 -Wall -Wcast-align -Wshadow
-Wstrict-prototypes -Wno-pointer-sign -MT gtksecentry.o -MD -MP -MF
.deps/gtksecentry.Tpo -c -o gtksecentry.o gtksecentry.c
In file included from /usr/include/gtk-2.0/gtk/gtkactiongroup.h:34,
                 from /usr/include/gtk-2.0/gtk/gtk.h:38,
                 from gtksecentry.c:40:
/usr/include/gtk-2.0/gtk/gtkitemfactory.h:50: warning: function declaration
isn't a prototype
gtksecentry.c:273: error: conflicting types for 'g_malloc'
/usr/include/glib-2.0/glib/gmem.h:47: error: previous declaration of 'g_malloc'
was here
gtksecentry.c:291: error: conflicting types for 'g_malloc0'
/usr/include/glib-2.0/glib/gmem.h:48: error: previous declaration of 'g_malloc0'
was here
gtksecentry.c:311: error: conflicting types for 'g_realloc'
/usr/include/glib-2.0/glib/gmem.h:49: error: previous declaration of 'g_realloc'
was here
make[2]: *** [gtksecentry.o] Error 1
make[2]: Leaving directory `/usr/src/pinentry-0.7.5/gtk+-2'
make[1]: Leaving directory `/usr/src/pinentry-0.7.5'
make[1]: *** [all-recursive] Error 1

If I build pinentry without gtk+2, it builds and installs fine. With or without
gtk+2, it builds fine on x86_64.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list